module CHookActions
    use CIActionReference
    implicit none    
    public 
    procedure (ActionReal), pointer :: HookHeightPtr
    contains 
    
    subroutine SubscribeHookHeight(a)
    !DEC$ ATTRIBUTES DLLEXPORT :: SubscribeHookHeight
    !DEC$ ATTRIBUTES ALIAS: 'SubscribeHookHeight' :: SubscribeHookHeight
        implicit none
        procedure (ActionReal) :: a
        HookHeightPtr => a
    end subroutine
    
end module CHookActions